## jmunit.framework.cldc11
Class Screen

    java.lang.Object
      javax.microedition.lcdui.Displayable
          javax.microedition.lcdui.Canvas
              jmunit.framework.cldc11.Screen

    public final class Screen

extends javax.microedition.lcdui.Canvas

The purpose of this class is generate all the framework's interface. It's a sub-class of canvas that prints the necessary informations in the simulator screen.

Since:
  JMUnit 1.0
Author:
  Brunno Silva

Field Summary

Fields inherited from class javax.microedition.lcdui.Canvas
`DOWN, FIRE, GAME_A, GAME_B, GAME_C, GAME_D, KEY_NUM0, KEY_NUM1, KEY_NUM2, KEY_NUM3, KEY_NUM4, KEY_NUM5, KEY_NUM6, KEY_NUM7, KEY_NUM8, KEY_NUM9, KEY_POUND, KEY_STAR, LEFT, RIGHT, UP`

Constructor Summary
`Screen(java.lang.String name, GuiListener result)` The default constructor.

Method Summary
`protected void` `paint(javax.microedition.lcdui.Graphics graphics)` The paint method of Screen is the responsible for painting the interface.

Methods inherited from class javax.microedition.lcdui.Canvas
`getGameAction, getHeight, getKeyCode, getKeyName, getWidth, hasPointerEvents, hasPointerMotionEvents, hasRepeatEvents, hideNotify, isDoubleBuffered, keyPressed, keyReleased, keyRepeated, pointerDragged, pointerPressed, pointerReleased, repaint, repaint, serviceRepaints, showNotify`

Methods inherited from class javax.microedition.lcdui.Displayable
`addCommand, isShown, removeCommand, setCommandListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Screen

    public Screen(java.lang.String name,
                  GuiListener result)

  The default constructor. It initializes some variables and configures the interface's commands.

  Parameters:
    `name` - The name of the test.
    `result` - The GuiListener that maintains information about the tests that are being run.
  Since:
    JMUnit 1.1

Method Detail

### paint

    protected void paint(javax.microedition.lcdui.Graphics graphics)

  The paint method of Screen is the responsible for painting the interface. It overrides the paint method of Canvas. It's called by the framework when it's started and in ever test method execution. Currently, it draws the whole screen in all the cases, but in future versions, the paint method is going to change only some parts, for perfomance tuning.

  Specified by:
    `paint` in class `javax.microedition.lcdui.Canvas`
  Since:
    JMUnit 1.0